%define upstream_name    Test-Mojibake
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check your source for encoding misbehavior
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildArch: noarch

%description
Many modern text editors automatically save files using UTF-8 codification,
however, the perl manpage interpreter does not expects it _by default_.
Whereas this does not represent a big deal on (most) backend-oriented
programs, Web framework (http://www.catalystframework.org/,
http://mojolicio.us/) based applications will suffer of so-called
http://en.wikipedia.org/wiki/Mojibake (lit. "unintelligible sequence of
characters").

Even worse: if an editor saves BOM (Byte Order Mark, 'U+FEFF' character in
Unicode) at the start of the script with executable bit set (on Unix
systems), it won't execute at all, due to shebang corruption.

Avoiding codification problems is quite simple:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Aug 26 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 135454
- imported package perl-Test-Mojibake


* Fri Aug 26 2011 cpan2dist 0.3-1mga
- initial mageia release, generated with cpan2dist
